### Method

# Gio FileInfo set_symlink_target

#### Declaration [src]

    void
    g_file_info_set_symlink_target (
      GFileInfo* info,
      const char* symlink_target
    )

#### Description [src]

Sets the `G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET` attribute in the file info to the given symlink target.

#### Parameters

`symlink_target`

  Type: `const char*`

  A static string containing a path to a symlink target.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.